server:
  port: 9999
spring:
  application:
    name: DatabaseServer-dev
  redis:
    database: 0
    host: 172.1.0.75
    port: 6379
    password: Dh82828800
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://172.1.0.63:3306/devicebox?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&useSSL=false
    username: root
    password: Dh82828800
  data:
    kafka:
      servers: 172.9.0.120:9092,172.9.0.121:9092,172.9.0.202:9092
fdfs:
  connect-timeout: 601
  so-timeout: 1501
  thumb-image:
    width: 120
    height: 120
  tracker-list:
    - 172.9.0.200:22122
    - 172.9.0.202:22122
    - 172.9.0.204:22122
  pool:
    max-total: -1
    max-wait-millis: 5000
    max-total-per-key: 50
    max-idle-per-key: 10
    min-idle-per-key: 5

run-config:
  server:
    serverId: "172_9_0_164"
    templates: "E:\\dh_svn\\Project\\DHRJ-TSSYSTEM\\SERVER\\TSDDCS\\tsddcs-datagramprocessor\\src\\main\\resources\\DataTemplates.xml"
    itemtemplates: "E:\\dh_svn\\Project\\DHRJ-TSSYSTEM\\SERVER\\TSDDCS\\tsddcs-datagramprocessor\\src\\main\\resources\\DataItemTemplates.xml"
    notifyurl:
    imageServerPath: db195
    rtuUploadPhotoPath: "D:\\rtuupload"
    projectImplementPhotoPath: "D:\\project_implementation_photo"
    taishanNotifyUrl : "http://172.9.0.195:8081"
    relayRemote : false
    dataBaseSave : true
    correctValueUrl:
    releayStyle: MQ
    connectManage: true
    rtuStatusCheck: true
    relayToTaishan: true
    wxAppId: wxd67f38117ced171d
    wxSecret: fcdb722fc0554d3b5d8d8ecf298e2292
    relayToLog: true
    dataShare: false
    codeExt: 1
    tmpPhotoPath: "D:\\tmp"
  database:
    relay:
      relay: false
      url: jdbc:sqlserver://10.0.0.86:1433;DatabaseName=Shyjdb_Daheng
      username: sa
      password: Dh82828800
      dbtype: sqlserver
  mqtt:
    mqttSubTopic: topic-ts-notify/#
    mqttPubTopic: topic-ts-notify/1
    mqttBroker: tcp://172.9.0.206:1883
  mq:
    waitingToProcessDatagram: queue-waiting-process-datagram
    toRtuDatagram: queue-to-rtu-datagram
    serverSelfCheckingMessage: queue-server-self-checking-message
    warningMessage: queue-warning-message
    checkStateQueue: queue-datagram-check
    logMessage: queue-log-message
    shareMessage: queue-share-message
  job:
    jobHandler: false
    xxl.job.admin.addresses: http://172.9.0.204:9997/xxl-job-admin
    xxl.job.executor.appname: xxl-job-executor-datagram-retry
    xxl.job.executor.ip:
    xxl.job.executor.port: 9900
    xxl.job.accessToken:
    xxl.job.executor.logpath: "D:\\xxl-job\\jobhandler"
    xxl.job.executor.logretentiondays: 30


